<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\BCallMessage;

use UnexpectedValueException;




class MediaType
{
    


    const UNKNOWN = 0;
    


    const AUDIO = 1;
    


    const VIDEO = 2;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::AUDIO => 'AUDIO',
        self::VIDEO => 'VIDEO',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

